%------------------------------------------
label='Spacecraft with 3 React-Wheels & Pitch Momentum Bias';
r2d= 180/pi;
timd=time/3600;
%------------------------------------------
figure (1)
subplot(2,1,1), plot(timd,atti*r2d, 'LineWidth',1.5)
title(label)
ylabel('Attitude (LVLH) (deg)')
legend('roll','ptch','yaw');

subplot(2,1,2), plot(timd,wlv*r2d, 'LineWidth',1.5)
ylabel('LVLH rate (deg/sec)')
legend('roll','ptch','yaw');
xlabel('Hours')
%------------------------------------------
figure (2)
subplot(2,1,1), plot(timd,wb*r2d, 'LineWidth',1.5)
title(label)
ylabel('Body Rate (deg/sec)')
legend('roll','ptch','yaw');

subplot(2,1,2), plot(timd,wr*60/(2*pi), 'LineWidth',1.5)
ylabel('wheel rates (rpm)')
legend('W1','W2','W3');
xlabel('Hours')
%------------------------------------------
figure (3)
subplot(2,1,1), plot(timd,Frcs, 'LineWidth',1.5)
title('7-RCS Forces and 3-RW Torques')
ylabel('RCS Forces (lb)')

subplot(2,1,2), plot(timd,Trw, 'LineWidth',1.5)
ylabel('RW(i) Torques (ft-lb)')
legend('W1','W2','W3');
xlabel('Hours')
%------------------------------------------
figure (4)
subplot(2,1,1), plot(timd,Hrwb, 'LineWidth',1.5)
title('RW Momentum in Body Axes')
ylabel('RW Momentum')
legend('roll','ptch','yaw');

%SUBPLOT(3,1,2), plot(timd,Hsys)
%ylabel('System Momentum (ft-lb-sec)')

subplot(2,1,2), plot(timd,Td, 'LineWidth',1.5)
ylabel('Aero Disturb Torque')
legend('roll','ptch','yaw');
xlabel('Hours')
%------------------------------------------
