%------------------------------------------
label='Spacecraft Linear Flex RW Simulation from Initial Attitude';
r2d= 180/pi; timd=time/3600;
%------------------------------------------
figure (1)
subplot(2,1,1), plot(timd,atti*r2d, 'LineWidth',1.5)
title(label)
ylabel('Attitude (LVLH) (deg)')
legend('roll','ptch','yaw');

subplot(2,1,2), plot(timd,wb*r2d, 'LineWidth',1.5)
ylabel('Body rate (deg/sec)')
legend('roll','ptch','yaw');
xlabel('Hours')
%------------------------------------------
figure (2)
subplot(2,1,1), plot(timd,Tc, 'LineWidth',1.5)
title(label)
ylabel('RW Torque Command')
legend('ptch','yaw');

subplot(2,1,2), plot(timd,Trw, 'LineWidth',1.5)
ylabel('Torque Applied at RWA (ft-lb)')
legend('roll','ptch','yaw');
xlabel('Hours')
% %------------------------------------------
figure (3)
subplot(2,1,1), plot(timd,Hrwb, 'LineWidth',1.5)
title(label)
ylabel('RW momentum (ft-lb)')
legend('roll','ptch','yaw');

subplot(2,1,2), plot(timd,Wlv, 'LineWidth',1.5)
ylabel('LVLH rate (r/s)')
legend('roll','ptch','yaw');
xlabel('Hours')
% %------------------------------------------
