function q= Quan(u,phi);
% Computes the quaternion for a specified rotation
% u(3) = direction of rotation (unit vector)
% phi  = Rotation angle (deg)
% q= Quan(u,phi);
u= u/sqrt(u'*u); d2r=pi/180;
q = [u*sin(phi*d2r/2); cos(phi*d2r/2)];