function qba=m2q(mab)
% q=m2q(c)
% Converts direction cosine matrix to quaternion

% Initialize counters and set quat scalar equal to matrix trace 
i=0; n=0;
q(1)= mab(1,1)+mab(2,2)+mab(3,3);
t = q(1);
for k=1:3
    if  mab(k,k) > q(1)
        i=k; q(1)= mab(k,k);
    end
end
  
t= sqrt(1+2*q(1)-t);
for l=1:3
    if (l==1); k=2;
    elseif (l==2); k=3;
    elseif (l==3); k=1; end
    n=n+1; j=6-n-k;
    if (i*(n-i) == 0) 
        q(1)=(mab(j,k) - mab(k,j))/t;
        q(n+1)=q(1);
    else
        q(j+k-i+1)= (mab(j,k) + mab(k,j))/t;
    end
end
  
if (i == 0); q(1)=t; 
else; q(i+1)= t; end

% Normalize the quaternion 
t=sign(q(1))*0.5;
qba= t*[q(2),q(3),q(4),q(1)]';