label='LOS Sensitivity to Solar Array Stepper-Motor Disturbances';
label='LOS Sensitivity to Cryo-Cooler Disturbances';
tlabel='Time (sec)';
r2d= 180/pi;
%------------------------------------------
figure (1)
subplot(2,1,1), plot(time,atti*r2d)
title(label)
ylabel('Attitude (LVLH) (deg)')
legend('roll','ptch','yaw');

subplot(2,1,2), plot(time,wb*r2d)
ylabel('Body Rate (deg/sec)')
legend('roll','ptch','yaw');
xlabel(tlabel)
%------------------------------------------
figure (2)
subplot(2,1,1), plot(time,Tsa)
title(label)
ylabel('SA Step-Motor Torque (ft-lb)')

subplot(2,1,2), plot(time,Tgimb)
ylabel('Telesc.Gimbal Torque (ft-lb)')
legend('Elevation','Azimuth');

xlabel(tlabel)
%------------------------------------------
figure (3)
subplot(2,1,1), plot(time,Trw)
title(label)
ylabel('React-Wheel Torque (ft-lb)')
legend('W#2','W#3');

subplot(2,1,2), plot(time,wr)
ylabel('React-Wheel(2,3) Rates (rad/sec)')
legend('W#2','W#3');
xlabel(tlabel)
%------------------------------------------
figure (4)
plot(alfa*r2d,alfad*r2d)
title(label)
ylabel('Gimbal Rate (deg/sec)')
xlabel('Gimbal Angle (deg)')
legend('Elevation','Azimuth');
%------------------------------------------
figure (5)
subplot(2,1,1), plot(time,alfa*r2d)
title(label)
ylabel('Gimbal Angle (deg)')
legend('Elevation','Azimuth');

subplot(2,1,2), plot(time,alfad*r2d)
ylabel('Gimbal Rate (deg/sec)')
legend('Elevation','Azimuth');
xlabel(tlabel)
%------------------------------------------
figure (6)
subplot(2,1,1), plot(time,SA_pos*r2d)
title(label)
ylabel('SA Rotat Angle (deg)')

subplot(2,1,2), plot(time,SA_rate*r2d)
ylabel('SA Rot Rate (deg/sec)')
xlabel(tlabel)
%------------------------------------------
