run
[Ao,Bo,Co,Do]=dlinmod('Lin_Anal_Flex',Ts);  % Discrete Open-Loop Analysis Model
[nr,nc]=size(Ao); E=diag(ones(nr,1));
sys=dss(Ao,Bo,Co,Do,E,Ts);                  % Prepare discrete SS model for
w=logspace(-2.4,2.6,30000);                 % frequency response analysis
figure(2); bode(sys,w); grid on
figure(3); nichols(sys,w)                   % for stability margins
