function out = RW_Steering(Tc)
global J JI Iw Jw Cw2b Cb2w Tmax d2r
% Converts the Torque Commands from s/c Body to Wheel torques
% Tc     =  Torque Command (ft-lb)

Twc=zeros(3,1);
Twc= Cb2w*Tc;                                 % Wheel(2,3) Torque command= Cb2w*(Tc + cross(wb,Hsys))
Twm= sqrt(Twc'*Twc);                          % Magnitude of torque commd
if Twm>Tmax; Twc= Tmax*Twc/Twm; end           % Limit Torque Command
out= [Twc; Twm];                              % Torque Commands for wheels 2 & 3, Torq magn