function out= Wheel_Dynamics(hwi,wb,Twi)
global J Iw Cw2b Cb2w d2r r2d   
% wb(3)  = Body rates (wb)   (rad/sec)
% hwi(3) = Reaction Wheel (i) Momentum (hwi) (ft-lb-sec)
% Twi(3) = Reaction Wheel (i) Torques (ft-lb)

wr=zeros(3,1);
Hsys= J*wb + Cw2b*hwi;                                     % System Momentum (s/c+wheels)
Tcb= -Cw2b*Twi -cross(wb,Hsys);                            % RW Torque in Body
hdot= Twi;                                                 % Rate of Reaction Wheel Momentum
for i=1:3; wr(i)= (hwi(i)/Iw) -dot(Cw2b(:,i),wb); end      % Measured Wheel Rates wrt Spacecraft
out= [hdot; Tcb; Hsys; wr];