function out= Mode_Switch(atter,wr, fi,Tci)   
global Hy0 wo Cw2b Jw Mode r2d Hmax Tmax nt
% atter =  Attitude Errors (rad)
% wr(2) =  Wheel rates (2,3) relat to s/c (rad/sec)
% fi(nt)=  RCS Forces (lbf)
% Tc(2) =  Torque cmd (pitch,yaw) (ft-lb)

wi=zeros(2,1);
for i=1:2; 
    wi(i)=wr(i); %+dot(Cw2b(:,i+1),[0,-wo,0]'); 
end      % Inertial wheel rate (wheel+s/c)

hrwa=Cw2b(2:3,2:3)*Jw(2:3,2:3)*wi;                           % Reaction Wheel Momentm (y,z) in Body
hmag=sqrt(hrwa'*hrwa);                                       % Momentum Magnitude
if hmag==0, Mode=0; end
aterm=sqrt(atter'*atter)*r2d;                                % Attitude Error (deg)

if    Mode==0 & hmag<Hmax,                                   % Remain in RW Mode
      Mode=0; f=zeros(nt,1); Tc=Tci;                         % Zero RCS thrust
else, Mode=1; f=fi;                                          % Switch to RCS Control
      if hmag>Hmax/10; Tc= -hrwa*Tmax/hmag;                  % RCS with Desaturat
      else;            Tc=[0 0]'; end                        % RCS without Desaturat
end

if    Mode==1 & hmag>=Hmax/10,                               % if atterm or Hmag are big
      Mode=1; f=fi;                                          % Remain in RCS Mode
      if hmag>=Hmax/10; Tc= -hrwa*Tmax/hmag;                 % RCS with Desaturat
      else;             Tc= [0 0]'; end                      % RCS without Desaturat
else, Mode=0; f=zeros(nt,1); Tc=Tci;                         % Switch to RW Control
end

out=[Mode; aterm; hmag; f; Tc];