label='Gimbals are Commanded to Rotate 5 (deg)';
label='Non-Linear 3-Body Surveillance Spacecraft Simulation with 61 Flex Modes';
label='Non-Linear 3-Body Surveillance Spacecraft Rigid-Body Simulation';
tlabel='Time (sec)';
tlabel='Hours';
r2d= 180/pi;
timd=time;
timd=time/3600;
%------------------------------------------
figure (1)
subplot(2,1,1), plot(timd,Euler*r2d, 'LineWidth',1.5)
title(label)
ylabel('Attitude (LVLH) (deg)')
legend('roll','ptch','yaw');

subplot(2,1,2), plot(timd,wb*r2d, 'LineWidth',1.5)
ylabel('Body Rate (deg/sec)')
legend('roll','ptch','yaw');
xlabel(tlabel)
%------------------------------------------
figure (2)
subplot(2,1,1), plot(timd,Frcs, 'LineWidth',1.5)
title(label)
ylabel('RCS Jet Forces (lbf)')

subplot(2,1,2), plot(timd,Tgimb, 'LineWidth',1.5)
ylabel('Tel.Gimbal Trque (ft-lb)')
legend('Elevation','Azimuth');
xlabel(tlabel)
%------------------------------------------
figure (3)
subplot(2,1,1), plot(timd,hrw, 'LineWidth',1.5)
title(label)
ylabel('RW Momentum (ft-lb-sec) in Body')
legend('roll','ptch','yaw');

subplot(2,1,2), plot(timd,Trw, 'LineWidth',1.5)
ylabel('React-Wheel Torque (ft-lb)')
legend('roll','ptch','yaw');
xlabel(tlabel)
%------------------------------------------
figure (4)
subplot(2,1,1), plot(timd,Reci, 'LineWidth',1.5)
title('Spacecraft ECI Position and Linear Velocity')
ylabel('Position (feet)')
legend('X','Y','Z');

subplot(2,1,2), plot(timd,Veci, 'LineWidth',1.5)
ylabel('Velocity (ft/sec)')
legend('X','Y','Z');
xlabel(tlabel)
%------------------------------------------
figure (5)
subplot(2,1,1), plot(timd,Gimb*r2d, 'LineWidth',1.5)
title('Telescope Gimbal Angles and rates')
ylabel('Angle (deg)')
legend('Elevation','Azimuth');

subplot(2,1,2), plot(timd,Gimdot*r2d, 'LineWidth',1.5)
ylabel('Rate (deg/sec)')
legend('Elevation','Azimuth');
xlabel(tlabel)
%------------------------------------------
