function A= q2cos(q);
% Returns the Cosine matrix of a quaternion
% A= q2cos(q);

A1= [q(1)^2 - q(2)^2 - q(3)^2 + q(4)^2
    2*( q(1)*q(2) - q(3)*q(4) )
    2*( q(1)*q(3) + q(2)*q(4) )]';
    
A2= [2*( q(1)*q(2) + q(3)*q(4) )
   -q(1)^2 + q(2)^2 - q(3)^2 + q(4)^2
     2*( q(2)*q(3) - q(1)*q(4) )]';
    
A3= [2*( q(1)*q(3) - q(2)*q(4) )
     2*( q(2)*q(3) + q(1)*q(4) )
   -q(1)^2 - q(2)^2 + q(3)^2 + q(4)^2]';

A= [A1; A2; A3];