[Ao,Bo,Co,Do]=dlinmod('Open_Anal_GRB',Tsr);     % Discrete Open-Loop Rigid Model
[nr,nc]=size(Ao); E=diag(ones(nr,1));
sysr=dss(Ao,Bo,Co,Do,E,Tsr);                    % Prepare discrete SS model for

[Af,Bf,Cf,Df]=dlinmod('Open_Anal_Flx',Tsr);     % Discrete Open-Loop Flex Model
[nr,nc]=size(Af); E=diag(ones(nr,1));
sysf=dss(Af,Bf,Cf,Df,E,Tsr);                    % Prepare discrete SS model for

w=logspace(-4,2.5,40000);                       % frequency response analysis
figure(2); bode(sysr,sysf,w); grid on
figure(3); nichols(sysr,sysf,w)                 % for stability margins
