label='Gimbals are Commanded to Rotate 5 (deg)';
label='Surveillance Spacecraft Simulation with 60 Flex Modes';
tlabel='Time (sec)';
tlabel='Hours';
r2d= 180/pi;
timd=time/3600;
%------------------------------------------
figure (1)
subplot(2,1,1), plot(timd,atti*r2d, 'LineWidth',1.5)
title(label)
ylabel('Attitude (LVLH) (deg)')
legend('roll','ptch','yaw');

subplot(2,1,2), plot(timd,wb*r2d, 'LineWidth',1.5)
ylabel('Body rate (deg/sec)')
legend('roll','ptch','yaw');
xlabel(tlabel)
%------------------------------------------
figure (2)
% Jet Force Frcs=Throttle*0.05, where Throttle=0 to 1
subplot(2,1,1), plot(timd,Frcs*0.05, 'LineWidth',1.5)
title(label)
ylabel('RCS Jet Forces (lbf)')

subplot(2,1,2), plot(timd,Tgimb, 'LineWidth',1.5)
ylabel('Telesc.Gimbal Torque (ft-lb)')
legend('Elevation','Azimuth');
xlabel(tlabel)
%------------------------------------------
figure (3)
subplot(2,1,1), plot(timd,Trw, 'LineWidth',1.5)
title('React-Wheels # (2,3) Torques and Rates')
ylabel('RW Torques (ft-lb)')
legend('W#2','W#3');

subplot(2,1,2), plot(timd,wr, 'LineWidth',1.5)
ylabel('RW Rates (rad/sec)')
legend('W#2','W#3');
xlabel(tlabel)
%------------------------------------------
figure (4)
subplot(2,1,1), plot(timd,accel, 'LineWidth',1.5)
title(label)
ylabel('Accelerometer')
legend('X','Y');

subplot(2,1,2), plot(timd,Hmag, 'LineWidth',1.5)
ylabel('RW Momentum Magnit (ft-lb-sec)')
xlabel(tlabel)
%------------------------------------------
figure (5)
subplot(2,1,1), plot(timd,alfa*r2d, 'LineWidth',1.5)
title('Telescope Gimbal Angles and Rates')
ylabel('Rot. Angle (deg)')
legend('Elevation','Azimuth');

subplot(2,1,2), plot(timd,alfad*r2d, 'LineWidth',1.5)
ylabel('Rot. Rate (deg/sec)')
legend('Elevation','Azimuth');
xlabel(tlabel)
%------------------------------------------
figure (6)
plot(timd,Td, 'LineWidth',1.5)
title('Aerodynamic Disturbance Torque')
ylabel('Td (ft-lb)')
xlabel(tlabel)
%------------------------------------------

